## org.eclipse.datatools.enablement.hsqldb.ui.catalog
Class HSQLDBPipelineTreeContentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.content.impl.ServerExplorerContentProviderNav
          org.eclipse.datatools.enablement.hsqldb.ui.catalog.HSQLDBPipelineTreeContentProvider

All Implemented Interfaces:
  ICatalogObjectListener, org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService, org.eclipse.datatools.connectivity.sqm.server.internal.ui.services.IServerExplorerContentService, org.eclipse.datatools.connectivity.sqm.server.internal.ui.services.IServerExplorerLayoutService, org.eclipse.datatools.connectivity.sqm.server.internal.ui.services.IServerExplorerNavigationService, org.eclipse.datatools.connectivity.sqm.server.internal.ui.services.IServerExplorerNodeResolutionService, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware, org.eclipse.ui.navigator.IPipelinedTreeContentProvider

    public class HSQLDBPipelineTreeContentProvider

extends org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.content.impl.ServerExplorerContentProviderNav
implements org.eclipse.ui.navigator.IPipelinedTreeContentProvider

Author:
  brianf

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.datatools.connectivity.sqm.core.rte.ICatalogObjectListener
`ICatalogObjectListener.EventTypeEnumeration`

Nested classes/interfaces inherited from interface org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService
`org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService.Loading`

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService
`EMPTY_ELEMENT_ARRAY`

Constructor Summary
`HSQLDBPipelineTreeContentProvider()`

Method Summary
`void` `dispose()`
`void` `getPipelinedChildren(java.lang.Object aParent, java.util.Set theCurrentChildren)`
`void` `getPipelinedElements(java.lang.Object anInput, java.util.Set theCurrentElements)`
`java.lang.Object` `getPipelinedParent(java.lang.Object anObject, java.lang.Object aSuggestedParent)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)`
`boolean` `interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate aRefreshSynchronization)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification aRemoveModification)`
`boolean` `interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.content.impl.ServerExplorerContentProviderNav

`enableHierarchicalLayout, enableVirtualNodeLayout, expandNode, expandNode, expandNode, getChildren, getDSEExplorerObjectsByType, getDSEExplorerObjectsByType, getElements, getEObjectNode, getLoadingDescription, getParent, getServerExplorerChildren, getServerExplorerLayoutService, hasChildren, init, inputChanged, isHierarchicalLayoutSelected, isServerExplorerViewer, isVirtualNodeLayoutSelected, load, notifyChanged, refreshNode, refreshServerExplorer, selectAndReveal, updateLayout, updateSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ITreeContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider
`getElements`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`inputChanged`

Constructor Detail

### HSQLDBPipelineTreeContentProvider

    public HSQLDBPipelineTreeContentProvider()

Method Detail

### getPipelinedChildren

    public void getPipelinedChildren(java.lang.Object aParent,
                                     java.util.Set theCurrentChildren)

  Specified by:
    `getPipelinedChildren` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedElements

    public void getPipelinedElements(java.lang.Object anInput,
                                     java.util.Set theCurrentElements)

  Specified by:
    `getPipelinedElements` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedParent

    public java.lang.Object getPipelinedParent(java.lang.Object anObject,
                                               java.lang.Object aSuggestedParent)

  Specified by:
    `getPipelinedParent` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptAdd

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)

  Specified by:
    `interceptAdd` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRefresh

    public boolean interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate aRefreshSynchronization)

  Specified by:
    `interceptRefresh` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRemove

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification aRemoveModification)

  Specified by:
    `interceptRemove` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptUpdate

    public boolean interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)

  Specified by:
    `interceptUpdate` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  Overrides:
    `dispose` in class `org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.content.impl.ServerExplorerContentProviderNav`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonContentProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`